Subject: bug#36718: uniq treats distinct Korean characters equal

From: Felix Hamme <[email-masked]>
Date: Thu, 18 Jul 2019 16:08:57 +0200

Dear all,

I found that, when performing uniq on some Korean characters, it treats
them as equal (counts as duplicate) although the characters aren't
equal. To be precise, it happened to me on the Characters 프 (U+D504) and
틀 (U+D2C0).

An example (input, expected output, actual output) can be found in the
attachment.
I've tried that using uniq (GNU coreutils) 8.30.

Greetings
Felix Hamme